Bug 1565013 - Authentication issue since Firefox 59 when password includes accents
Summary: Authentication issue since Firefox 59 when password includes accents
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management
Version: 6.4.13
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: jboss-set
QA Contact: Pavel Slavicek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-09 06:53 UTC by loic.mahe
Modified: 2019-08-19 12:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-19 12:46:46 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Mozilla Foundation 1449112 None None None 2019-03-04 17:04:04 UTC

Description loic.mahe 2018-04-09 06:53:14 UTC
Description of problem:
Since Firefox 59, the basic HTTP authentication code has been modified and content (username and password) are transmitted in UTF-8 format instead of ISO-8859-1.
My password contains a French accent (รจ aka lowercase e with grave accent). The login fails since Firefox 59.
This probably affects others releases of JBoss.

Buf reference in Firefox : https://bugzilla.mozilla.org/show_bug.cgi?id=1449112

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Include an accent in your password.
2. Login in
3.

Actual results:
Login rejected

Expected results:
Login approved

Additional info:


Note You need to log in before you can comment on or make changes to this bug.